org.springframework.cloud.dataflow.server.controller

## Class RuntimeAppsController

- java.lang.Object
- - org.springframework.cloud.dataflow.server.controller.RuntimeAppsController

-     @RestController
       @RequestMapping(value="/runtime/apps")
       @ExposesResourceFor(value=AppStatusResource.class)
      public class RuntimeAppsController
      extends Object

  Exposes runtime status of deployed apps.
  Author:
    Eric Bottard, Mark Fisher, Janne Valkealahti, Ilayaperumal Gopinathan, Gunnar Hillert, Christian Tzolov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeAppsController(StreamDeployer streamDeployer)` Construct a new runtime apps controller.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppStatusResource` | `display(String appId)`
    `org.springframework.hateoas.PagedModel<AppStatusResource>` | `list(org.springframework.data.domain.Pageable pageable, org.springframework.data.web.PagedResourcesAssembler<org.springframework.cloud.deployer.spi.app.AppStatus> assembler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeAppsController

          public RuntimeAppsController(StreamDeployer streamDeployer)

      Construct a new runtime apps controller.
      Parameters:
        `streamDeployer` - the deployer this controller will use to get the status of deployed stream apps

  - ### Method Detail

    - #### list

          @RequestMapping
          public org.springframework.hateoas.PagedModel<AppStatusResource> list(org.springframework.data.domain.Pageable pageable,
                                                                                                org.springframework.data.web.PagedResourcesAssembler<org.springframework.cloud.deployer.spi.app.AppStatus> assembler)

    - #### display

          @RequestMapping(value="/{appId}")
          public AppStatusResource display(@PathVariable
                                                                             String appId)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.